For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The ItemFulfillment object
          • GET/item-fulfillments
          • POST/item-fulfillments
          • GET/item-fulfillments/{id}
          • GET/item-fulfillments/lines/remote-field-classes
          • GET/item-fulfillments/remote-field-classes
          • POST/item-fulfillments/bulk
          • GET/item-fulfillments/bulk/{batch_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsItem Fulfillments

/item-fulfillments

Beta
POST
/accounting/v1/item-fulfillments
POST
/api/accounting/v1/item-fulfillments
$curl -X POST https://api.merge.dev/api/accounting/v1/item-fulfillments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "0048ea5b-911e-4dff-9364-92070dea62ff",
4 "remote_id": "IF-12345",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "sales_order": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
8 "fulfillment_date": "2022-04-10T00:00:00Z",
9 "customer": "2f9edc34-c92a-48c0-b2c6-e9e0e3bc407b",
10 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
11 "status": "SHIPPED",
12 "memo": "Shipped via FedEx",
13 "lines": [
14 {
15 "remote_id": "121222",
16 "item": "0958cbc6-6040-430a-848e-aafacbadf4ae",
17 "quantity": "10",
18 "tracking_categories": [
19 "f1214c24-2702-4617-b74b-3ddecfc0d384"
20 ]
21 },
22 {
23 "remote_id": "121223",
24 "item": "249c9faa-3045-4a31-953b-8f22d3613301",
25 "quantity": "5",
26 "tracking_categories": [
27 "f1214c24-2702-4617-b74b-3ddecfc0d384"
28 ]
29 }
30 ],
31 "remote_created_at": "2020-03-31T00:00:00Z",
32 "remote_updated_at": "2020-03-31T00:00:00Z",
33 "remote_was_deleted": true,
34 "field_mappings": {
35 "organization_defined_targets": {
36 "custom_key": "custom_value"
37 },
38 "linked_account_defined_targets": {
39 "custom_key": "custom_value"
40 }
41 },
42 "remote_data": [
43 {
44 "path": "/actions",
45 "data": null
46 }
47 ],
48 "remote_fields": [
49 {
50 "remote_field_class": {
51 "id": "string",
52 "display_name": "string",
53 "remote_key_name": "string",
54 "description": "string",
55 "is_custom": true,
56 "is_common_model_field": true,
57 "is_required": true,
58 "field_type": "string",
59 "field_format": "string",
60 "field_choices": [
61 "string"
62 ],
63 "item_schema": {
64 "item_type": "string",
65 "item_format": "string",
66 "item_choices": [
67 "string"
68 ]
69 }
70 },
71 "value": "string"
72 }
73 ]
74 },
75 "warnings": [
76 {
77 "title": "Unrecognized Field",
78 "detail": "An unrecognized field, age, was passed in with request data.",
79 "problem_type": "UNRECOGNIZED_FIELD",
80 "source": {
81 "pointer": "/age"
82 },
83 "block_merge_link": true,
84 "raw_error": "string",
85 "error_code": 1
86 }
87 ],
88 "errors": [
89 {
90 "title": "Missing Required Field",
91 "detail": "custom_fields is a required field on model.",
92 "problem_type": "MISSING_REQUIRED_FIELD",
93 "source": {
94 "pointer": "/model/custom_fields"
95 },
96 "block_merge_link": true,
97 "raw_error": "string",
98 "error_code": 1
99 }
100 ],
101 "logs": [
102 {
103 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
104 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
105 "log_summary": {
106 "url": "www.exampleintegration.com/api/v1/exampleapi",
107 "method": "POST",
108 "status_code": 200
109 }
110 }
111 ]
112}

Creates an ItemFulfillment object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/item-fulfillments

Next

/item-fulfillments/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The ItemFulfillment object represents the recorded shipment or delivery of some or all items on an associated sales order.

Usage Example

Fetch from the LIST ItemFulfillments endpoint and view a company’s item fulfillments.

Response

modelobject

Description

The ItemFulfillment object represents the recorded shipment or delivery of some or all items on an associated sales order.

Usage Example

Fetch from the LIST ItemFulfillments endpoint and view a company’s item fulfillments.

warningslist of objects
errorslist of objects
logslist of objects